Subject: ls problem on AIX

From: Lagergren_Anders/[email-masked]
Date: Mon, 23 Jan 1995 19:04:56 +0000

Item Subject: Text_1
     
     My problem is that ls doesn't work on an AIX machine.
     
     So I've done following:
     
     - Set both /bin and ls to mode 555 user=root group=system (as in 
     faw.uni-ulm.de - a working wu-ftpd)
     
     - replaced the ls with gnu static ls version.
     
     and got the same result, neither ls nor ls -l did work. It just
     said 'open ASCII mode data connection for /bin/ls'.
     
     In fact I replaced the ls with a simple program that output a simple
     text and created a new file under bin directory, but no new result. 
     No output of text to the ftp client and no file created. So the 
     wu-ftpd did not seem to be able to run the ls at all.
     
     Next, I checked the chroot command with:
     
     chroot ~ftp /bin/ls
     
     and the only respose was:
     
     Killed

     - Does anybody know what the problem is ?